Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class MBeanFactory

    java.lang.Object
      org.apache.commons.modeler.BaseModelMBean
          org.apache.catalina.mbeans.MBeanFactory

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class MBeanFactory
extends org.apache.commons.modeler.BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.core.StandardServer` component.

Version:
  $Revision: 1.24 $ $Date: 2004/04/17 02:50:26 $
Author:
  Amy Roh

Field Summary

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, attributes, generalBroadcaster, info, oname, resource, resourceType, source`

Constructor Summary
`MBeanFactory()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`java.lang.String` | `createAccessLoggerValve(java.lang.String parent)` Create a new AccessLoggerValve.
`java.lang.String` | `createAjpConnector(java.lang.String parent, java.lang.String address, int port)` Create a new AjpConnector
`java.lang.String` | `createDataSourceRealm(java.lang.String parent, java.lang.String dataSourceName, java.lang.String roleNameCol, java.lang.String userCredCol, java.lang.String userNameCol, java.lang.String userRoleTable, java.lang.String userTable)` Create a new DataSource Realm.
`java.lang.String` | `createDefaultContext(java.lang.String parent)` Create a new DefaultContext.
`java.lang.String` | `createFileLogger(java.lang.String parent)` Create a new FileLogger.
`java.lang.String` | `createHttpConnector(java.lang.String parent, java.lang.String address, int port)` Create a new HttpConnector
`java.lang.String` | `createHttpsConnector(java.lang.String parent, java.lang.String address, int port)` Create a new HttpsConnector
`java.lang.String` | `createJDBCRealm(java.lang.String parent, java.lang.String driverName, java.lang.String connectionName, java.lang.String connectionPassword, java.lang.String connectionURL)` Create a new JDBC Realm.
`java.lang.String` | `createJNDIRealm(java.lang.String parent)` Create a new JNDI Realm.
`java.lang.String` | `createMemoryRealm(java.lang.String parent)` Create a new Memory Realm.
`java.lang.String` | `createRemoteAddrValve(java.lang.String parent)` Create a new Remote Address Filter Valve.
`java.lang.String` | `createRemoteHostValve(java.lang.String parent)` Create a new Remote Host Filter Valve.
`java.lang.String` | `createRequestDumperValve(java.lang.String parent)` Create a new Request Dumper Valve.
`java.lang.String` | `createSingleSignOn(java.lang.String parent)` Create a new Single Sign On Valve.
`java.lang.String` | `createStandardContext(java.lang.String parent, java.lang.String path, java.lang.String docBase)` Create a new StandardContext.
`java.lang.String` | `createStandardContext(java.lang.String parent, java.lang.String path, java.lang.String docBase, boolean xmlValidation, boolean xmlNamespaceAware, boolean tldValidation, boolean tldNamespaceAware)` Create a new StandardContext.
`java.util.Vector` | `createStandardEngineService(java.lang.String parent, java.lang.String engineName, java.lang.String defaultHost, java.lang.String serviceName)` Create a new StandardEngine.
`java.lang.String` | `createStandardHost(java.lang.String parent, java.lang.String name, java.lang.String appBase, boolean autoDeploy, boolean deployXML, boolean liveDeploy, boolean unpackWARs, boolean xmlNamespaceAware, boolean xmlValidation)` Create a new StandardHost.
`java.lang.String` | `createStandardManager(java.lang.String parent)` Create a new StandardManager.
`java.lang.String` | `createStandardService(java.lang.String parent, java.lang.String name, java.lang.String domain)` Create a new StandardService.
`java.lang.String` | `createSystemErrLogger(java.lang.String parent)` Create a new System Error Logger.
`java.lang.String` | `createSystemOutLogger(java.lang.String parent)` Create a new System Output Logger.
`java.lang.String` | `createUserDatabaseRealm(java.lang.String parent, java.lang.String resourceName)` Create a new UserDatabaseRealm.
`java.lang.String` | `createWebappLoader(java.lang.String parent)` Create a new Web Application Loader.
`java.lang.String` | `findObjectName(java.lang.String type)` Return the managed bean definition for the specified bean type
`void` | `removeConnector(java.lang.String name)` Remove an existing Connector.
`void` | `removeContext(java.lang.String contextName)` Remove an existing Context.
`void` | `removeHost(java.lang.String name)` Remove an existing Host.
`void` | `removeLoader(java.lang.String name)` Remove an existing Loader.
`void` | `removeLogger(java.lang.String name)` Remove an existing Logger.
`void` | `removeManager(java.lang.String name)` Remove an existing Manager.
`void` | `removeRealm(java.lang.String name)` Remove an existing Realm.
`void` | `removeService(java.lang.String name)` Remove an existing Service.
`void` | `removeValve(java.lang.String name)` Remove an existing Valve.

Methods inherited from class org.apache.commons.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, createResource, getAttribute, getAttributes, getClassName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, getRegistry, initModelInfo, invoke, isModelMBeanInfoValid, load, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedResource, setModeledType, setModelMBeanInfo, setRegistry, store, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanFactory

    public MBeanFactory()
                 throws javax.management.MBeanException,
                        javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### findObjectName

    public java.lang.String findObjectName(java.lang.String type)

  Return the managed bean definition for the specified bean type

  Parameters:
    `type` - MBean type

### createAccessLoggerValve

    public java.lang.String createAccessLoggerValve(java.lang.String parent)
                                             throws java.lang.Exception

  Create a new AccessLoggerValve.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createAjpConnector

    public java.lang.String createAjpConnector(java.lang.String parent,
                                               java.lang.String address,
                                               int port)
                                        throws java.lang.Exception

  Create a new AjpConnector

  Parameters:
    `parent` - MBean Name of the associated parent component
    `address` - The IP address on which to bind
    `port` - TCP port number to listen on
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createDataSourceRealm

    public java.lang.String createDataSourceRealm(java.lang.String parent,
                                                  java.lang.String dataSourceName,
                                                  java.lang.String roleNameCol,
                                                  java.lang.String userCredCol,
                                                  java.lang.String userNameCol,
                                                  java.lang.String userRoleTable,
                                                  java.lang.String userTable)
                                           throws java.lang.Exception

  Create a new DataSource Realm.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createDefaultContext

    public java.lang.String createDefaultContext(java.lang.String parent)
                                          throws java.lang.Exception

  Create a new DefaultContext.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createFileLogger

    public java.lang.String createFileLogger(java.lang.String parent)
                                      throws java.lang.Exception

  Create a new FileLogger.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createHttpConnector

    public java.lang.String createHttpConnector(java.lang.String parent,
                                                java.lang.String address,
                                                int port)
                                         throws java.lang.Exception

  Create a new HttpConnector

  Parameters:
    `parent` - MBean Name of the associated parent component
    `address` - The IP address on which to bind
    `port` - TCP port number to listen on
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createHttpsConnector

    public java.lang.String createHttpsConnector(java.lang.String parent,
                                                 java.lang.String address,
                                                 int port)
                                          throws java.lang.Exception

  Create a new HttpsConnector

  Parameters:
    `parent` - MBean Name of the associated parent component
    `address` - The IP address on which to bind
    `port` - TCP port number to listen on
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createJDBCRealm

    public java.lang.String createJDBCRealm(java.lang.String parent,
                                            java.lang.String driverName,
                                            java.lang.String connectionName,
                                            java.lang.String connectionPassword,
                                            java.lang.String connectionURL)
                                     throws java.lang.Exception

  Create a new JDBC Realm.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createJNDIRealm

    public java.lang.String createJNDIRealm(java.lang.String parent)
                                     throws java.lang.Exception

  Create a new JNDI Realm.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createMemoryRealm

    public java.lang.String createMemoryRealm(java.lang.String parent)
                                       throws java.lang.Exception

  Create a new Memory Realm.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createRemoteAddrValve

    public java.lang.String createRemoteAddrValve(java.lang.String parent)
                                           throws java.lang.Exception

  Create a new Remote Address Filter Valve.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createRemoteHostValve

    public java.lang.String createRemoteHostValve(java.lang.String parent)
                                           throws java.lang.Exception

  Create a new Remote Host Filter Valve.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createRequestDumperValve

    public java.lang.String createRequestDumperValve(java.lang.String parent)
                                              throws java.lang.Exception

  Create a new Request Dumper Valve.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createSingleSignOn

    public java.lang.String createSingleSignOn(java.lang.String parent)
                                        throws java.lang.Exception

  Create a new Single Sign On Valve.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createStandardContext

    public java.lang.String createStandardContext(java.lang.String parent,
                                                  java.lang.String path,
                                                  java.lang.String docBase)
                                           throws java.lang.Exception

  Create a new StandardContext.

  Parameters:
    `parent` - MBean Name of the associated parent component
    `path` - The context path for this Context
    `docBase` - Document base directory (or WAR) for this Context
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createStandardContext

    public java.lang.String createStandardContext(java.lang.String parent,
                                                  java.lang.String path,
                                                  java.lang.String docBase,
                                                  boolean xmlValidation,
                                                  boolean xmlNamespaceAware,
                                                  boolean tldValidation,
                                                  boolean tldNamespaceAware)
                                           throws java.lang.Exception

  Create a new StandardContext.

  Parameters:
    `parent` - MBean Name of the associated parent component
    `path` - The context path for this Context
    `docBase` - Document base directory (or WAR) for this Context
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createStandardEngineService

    public java.util.Vector createStandardEngineService(java.lang.String parent,
                                                        java.lang.String engineName,
                                                        java.lang.String defaultHost,
                                                        java.lang.String serviceName)
                                                 throws java.lang.Exception

  Create a new StandardEngine.

  Parameters:
    `parent` - MBean Name of the associated parent component
    `defaultHost` - Default hostname of this Engine
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createStandardHost

    public java.lang.String createStandardHost(java.lang.String parent,
                                               java.lang.String name,
                                               java.lang.String appBase,
                                               boolean autoDeploy,
                                               boolean deployXML,
                                               boolean liveDeploy,
                                               boolean unpackWARs,
                                               boolean xmlNamespaceAware,
                                               boolean xmlValidation)
                                        throws java.lang.Exception

  Create a new StandardHost.

  Parameters:
    `parent` - MBean Name of the associated parent component
    `name` - Unique name of this Host
    `appBase` - Application base directory name
    `autoDeploy` - Should we auto deploy?
    `deployXML` - Should we deploy Context XML config files property?
    `liveDeploy` - Should we live deploy?
    `unpackWARs` - Should we unpack WARs when auto deploying?
    `xmlNamespaceAware` - Should we turn on/off XML namespace awareness?
    `xmlValidation` - Should we turn on/off XML validation?
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createStandardManager

    public java.lang.String createStandardManager(java.lang.String parent)
                                           throws java.lang.Exception

  Create a new StandardManager.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createStandardService

    public java.lang.String createStandardService(java.lang.String parent,
                                                  java.lang.String name,
                                                  java.lang.String domain)
                                           throws java.lang.Exception

  Create a new StandardService.

  Parameters:
    `parent` - MBean Name of the associated parent component
    `name` - Unique name of this StandardService
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createSystemErrLogger

    public java.lang.String createSystemErrLogger(java.lang.String parent)
                                           throws java.lang.Exception

  Create a new System Error Logger.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createSystemOutLogger

    public java.lang.String createSystemOutLogger(java.lang.String parent)
                                           throws java.lang.Exception

  Create a new System Output Logger.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createUserDatabaseRealm

    public java.lang.String createUserDatabaseRealm(java.lang.String parent,
                                                    java.lang.String resourceName)
                                             throws java.lang.Exception

  Create a new UserDatabaseRealm.

  Parameters:
    `parent` - MBean Name of the associated parent component
    `resourceName` - Global JNDI resource name of the associated UserDatabase
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### createWebappLoader

    public java.lang.String createWebappLoader(java.lang.String parent)
                                        throws java.lang.Exception

  Create a new Web Application Loader.

  Parameters:
    `parent` - MBean Name of the associated parent component
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### removeConnector

    public void removeConnector(java.lang.String name)
                         throws java.lang.Exception

  Remove an existing Connector.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeContext

    public void removeContext(java.lang.String contextName)
                       throws java.lang.Exception

  Remove an existing Context.

  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeHost

    public void removeHost(java.lang.String name)
                    throws java.lang.Exception

  Remove an existing Host.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeLogger

    public void removeLogger(java.lang.String name)
                      throws java.lang.Exception

  Remove an existing Logger.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeLoader

    public void removeLoader(java.lang.String name)
                      throws java.lang.Exception

  Remove an existing Loader.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeManager

    public void removeManager(java.lang.String name)
                       throws java.lang.Exception

  Remove an existing Manager.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeRealm

    public void removeRealm(java.lang.String name)
                     throws java.lang.Exception

  Remove an existing Realm.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeService

    public void removeService(java.lang.String name)
                       throws java.lang.Exception

  Remove an existing Service.

  Parameters:
    `name` - MBean Name of the component to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

### removeValve

    public void removeValve(java.lang.String name)
                     throws java.lang.Exception

  Remove an existing Valve.

  Parameters:
    `name` - MBean Name of the comonent to remove
  Throws:
    `java.lang.Exception` - if a component cannot be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.